@echo off
echo       (C) Gleb Vdovin 1993-1995
echo       This file is a part of LightPipes beta distribution
echo       for MSDOS
rem       

rem Ideal beam:
begin 0.025 1e-6 64 | circ_ap 0.01 |Zernike 3 1 0.01 0 >foo
forward 1000 0.5 100< foo  |file_ps far_field1.ps 100>null
del foo

rem Coma with amplitude 6.28 rad or ~ 1 lambda:
begin 0.025 1e-6 64 | circ_ap 0.01 |Zernike 3 1 0.01 3.14 >foo
forward 1000 0.5 100< foo  |file_ps far_field2.ps 100>null
del foo

rem Astigmatism with amplitude 6.28 rad or ~ 1 lambda:
begin 0.025 1e-6 64 | circ_ap 0.01 |Zernike 2 2 0.01 3.14 >foo
forward 1000 0.5 100< foo  |file_ps far_field3.ps 100>null
del foo

rem Spherical aberration with amplitude 6.28 rad or ~ 1 lambda:
begin 0.025 1e-6 64 | circ_ap 0.01 |Zernike 4 0 0.01 3.14 >foo
forward 1000 0.5 100< foo  |file_ps far_field4.ps 100>null
del foo
